Package org.apache.felix.framework.resolver

# Class ResolveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.felix.framework.resolver.ResolveException

All Implemented Interfaces:
  `Serializable`

public class ResolveException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResolveException(String msg, BundleRevision revision, BundleRequirement req)`
Constructs an instance of `ResolveException` with the specified detail message.

## Method Summary

Modifier and Type
Method
Description
`BundleRequirement`
`getRequirement()`
`BundleRevision`
`getRevision()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResolveException

public ResolveException(String msg, BundleRevision revision, BundleRequirement req)
Constructs an instance of `ResolveException` with the specified detail message.

Parameters:
  `msg` - the detail message.

## Method Details

### getRevision

public BundleRevision getRevision()

### getRequirement

public BundleRequirement getRequirement()